#!/usr/bin/env python

# pep8: ignore=E501
# pylint: disable-msg=C0301

import os
import sys
from os.path import exists

sys.path.insert(0, '..')
from tests import Test, main
from tests.providers import sarg
from libmace.files import Transaction


class ProviderSargTest(Test):

    def test_convert_Language(self):
        provider = sarg.Provider()
        self.assertEqual(
                ['language Spanish', 'language Russian_UFT-8'],
                provider.convert(None, ['language es\n', 'language  ru\n']))

    def test_ensure_OutputDir(self):
        provider = sarg.Provider()
        self.touch(('etc/sarg/sarg.conf', ['output_dir output_dir\n']))
        provider.ensure(None, Transaction('.'))
        assert exists('output_dir')
        assert os.stat('output_dir').st_mode & 0777 == 0755


if __name__ == '__main__':
    main()
